package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP02886
 * @Description : 工作单位邮编信息错误
 * @Author : 胡敬
 * @Date: 2020-05-08 16:00
 */
@Component
public class FIRP02886 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            String zipcode = firstpageStructureMap.get(Content.work_unit_zipcode);
            if (StringUtils.isNotBlank(zipcode)) {
                if ("-".equals(zipcode) || "/".equals(zipcode)) {
                    return;
                }
                if (CatalogueUtil.numbersOnly(zipcode)) {
                    String regex = "^\\d{6}$";
                    if (!zipcode.matches(regex)) {
                        status.set("-1");
                    }
                }
            }
        }
    }
}